unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, YearCal;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    Button5: TButton;
    Button3: TButton;
    Button4: TButton;
    Button8: TButton;
    Button7: TButton;
    Button6: TButton;
    Button9: TButton;
    Button10: TButton;
    Button11: TButton;
    Button12: TButton;
    Button13: TButton;
    Button14: TButton;
    Button15: TButton;
    Button16: TButton;
    Label1: TLabel;
    DRYearCal1: TDRYearCal;
    Button17: TButton;
    Button18: TButton;
    Button19: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
    procedure Button16Click(Sender: TObject);
    procedure Button15Click(Sender: TObject);
    procedure Button14Click(Sender: TObject);
    procedure Button13Click(Sender: TObject);
    procedure DRYearCal1Click(Sender: TObject; SelectedDate: TDateTime);
    procedure Button17Click(Sender: TObject);
    procedure Button18Click(Sender: TObject);
    procedure Button19Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if (DRYearCal1.visible)
    then DRYearCal1.visible := false
    else DRYearCal1.visible := true;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  DRYearCal1.font.size := DRYearCal1.font.size + 1;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  DRYearCal1.year := DRYearCal1.year + 1;
  Form1.caption := IntToStr(DRYearCal1.year);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  DRYearCal1.year := DRYearCal1.year - 1;
  Form1.caption := IntToStr(DRYearCal1.year);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  DRYearCal1.font.size := DRYearCal1.font.size - 1;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  DRYearCal1.Lines := not DRYearCal1.Lines;

  if DRYearCal1.Lines
    then DRYearCal1.CurMonthMode := mmBackground
    else DRYearCal1.CurMonthMode := mmForeground;
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  if (DRYearCal1.NumColumns = 4)
    then DRYearCal1.NumColumns := 6
    else DRYearCal1.NumColumns := DRYearCal1.NumColumns + 1;
  Form1.refresh;
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
  if (DRYearCal1.NumColumns = 6)
    then DRYearCal1.NumColumns := 4
    else DRYearCal1.NumColumns := DRYearCal1.NumColumns - 1;
  Form1.refresh;
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
  DRYearCal1.HorzDayGap := DRYearCal1.HorzDayGap + 1;
end;

procedure TForm1.Button10Click(Sender: TObject);
begin
  DRYearCal1.HorzDayGap := DRYearCal1.HorzDayGap - 1;
end;

procedure TForm1.Button11Click(Sender: TObject);
begin
  DRYearCal1.HorzMonthGap := DRYearCal1.HorzMonthGap + 2;
end;

procedure TForm1.Button12Click(Sender: TObject);
begin
  DRYearCal1.HorzMonthGap := DRYearCal1.HorzMonthGap - 2;
end;

procedure TForm1.Button16Click(Sender: TObject);
begin
  DRYearCal1.VertDayGap := DRYearCal1.VertDayGap + 2;
end;

procedure TForm1.Button15Click(Sender: TObject);
begin
  if (DRYearCal1.VertDayGap > 0)
    then DRYearCal1.VertDayGap := DRYearCal1.VertDayGap - 2;
end;

procedure TForm1.Button14Click(Sender: TObject);
begin
  if (DRYearCal1.VertMonthGap < 100)
    then DRYearCal1.VertMonthGap := DRYearCal1.VertMonthGap + 1;
end;

procedure TForm1.Button13Click(Sender: TObject);
begin
  if (DRYearCal1.VertMonthGap > 0)
    then DRYearCal1.VertMonthGap := DRYearCal1.VertMonthGap - 1;
end;

procedure TForm1.DRYearCal1Click(Sender: TObject; SelectedDate: TDateTime);
var
  a,m,d : word;
begin
  DecodeDate(SelectedDate,a,m,d);
  Label1.caption := IntToStr(m)+'/'+IntToStr(d)+'/'+IntToStr(a);
end;

procedure TForm1.Button17Click(Sender: TObject);
begin
  if (DRYearCal1.color = clWhite)
    then DRYearCal1.color := clSilver
    else DRYearCal1.color := clWhite;
end;

procedure TForm1.Button18Click(Sender: TObject);
begin
  if (DRYearCal1.border = boLowered) then
    DRYearCal1.border := boRaised
  else begin
    DRYearCal1.border := boLowered;
    DRYearCal1.Ctl3D := not DRYearCal1.Ctl3D;
  end;

  if DRYearCal1.Ctl3D
    then DRYearCal1.CurMonthMode := mmBackground
    else DRYearCal1.CurMonthMode := mmForeground;
end;

procedure TForm1.Button19Click(Sender: TObject);
begin
  if DrYearCal1.StartingDay = sdSunday
    then DrYearCal1.StartingDay := sdMonday
    else DrYearCal1.StartingDay := sdSunday;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ShortDayNames[1]  := 'Sun';
  ShortDayNames[2]  := 'Mon';
  ShortDayNames[3]  := 'Tue';
  ShortDayNames[4]  := 'Wed';
  ShortDayNames[5]  := 'Thu';
  ShortDayNames[6]  := 'Fri';
  ShortDayNames[7]  := 'Sat';

  LongMonthNames[1] := 'January';
  LongMonthNames[2] := 'February';
  LongMonthNames[3] := 'March';
  LongMonthNames[4] := 'April';
  LongMonthNames[5] := 'May';
  LongMonthNames[6] := 'June';
  LongMonthNames[7] := 'July';
  LongMonthNames[8] := 'August';
  LongMonthNames[9] := 'September';
  LongMonthNames[10] := 'October';
  LongMonthNames[11] := 'November';
  LongMonthNames[12] := 'December';
end;

end.
